# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sensu"
  s.version = "1.1.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sean Porter", "Justin Kolberg"]
  s.bindir = "exe"
  s.date = "2017-11-25"
  s.description = "A monitoring framework that aims to be simple, malleable, and scalable."
  s.email = ["portertech@gmail.com", "amdprophet@gmail.com"]
  s.executables = ["sensu-api", "sensu-client", "sensu-install", "sensu-server"]
  s.files = ["CHANGELOG.md", "MIT-LICENSE.txt", "README.md", "exe/sensu-api", "exe/sensu-client", "exe/sensu-install", "exe/sensu-server", "lib/sensu.rb", "lib/sensu/api/http_handler.rb", "lib/sensu/api/process.rb", "lib/sensu/api/routes.rb", "lib/sensu/api/routes/aggregates.rb", "lib/sensu/api/routes/checks.rb", "lib/sensu/api/routes/clients.rb", "lib/sensu/api/routes/events.rb", "lib/sensu/api/routes/health.rb", "lib/sensu/api/routes/info.rb", "lib/sensu/api/routes/request.rb", "lib/sensu/api/routes/resolve.rb", "lib/sensu/api/routes/results.rb", "lib/sensu/api/routes/settings.rb", "lib/sensu/api/routes/silenced.rb", "lib/sensu/api/routes/stashes.rb", "lib/sensu/api/utilities/filter_response_content.rb", "lib/sensu/api/utilities/publish_check_request.rb", "lib/sensu/api/utilities/publish_check_result.rb", "lib/sensu/api/utilities/resolve_event.rb", "lib/sensu/api/utilities/servers_info.rb", "lib/sensu/api/utilities/transport_info.rb", "lib/sensu/api/validators/client.rb", "lib/sensu/api/validators/invalid.rb", "lib/sensu/cli.rb", "lib/sensu/client/http_socket.rb", "lib/sensu/client/process.rb", "lib/sensu/client/socket.rb", "lib/sensu/client/utils.rb", "lib/sensu/client/validators/check.rb", "lib/sensu/constants.rb", "lib/sensu/daemon.rb", "lib/sensu/sandbox.rb", "lib/sensu/server/filter.rb", "lib/sensu/server/handle.rb", "lib/sensu/server/mutate.rb", "lib/sensu/server/process.rb", "lib/sensu/server/socket.rb", "lib/sensu/utilities.rb", "sensu.gemspec"]
  s.homepage = "http://sensuapp.org"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14.1"
  s.summary = "A monitoring framework"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<eventmachine>, ["~> 1.2.5"])
      s.add_runtime_dependency(%q<sensu-json>, ["~> 2.1.0"])
      s.add_runtime_dependency(%q<sensu-logger>, ["~> 1.2.1"])
      s.add_runtime_dependency(%q<sensu-settings>, ["~> 10.9.0"])
      s.add_runtime_dependency(%q<sensu-extension>, ["~> 1.5.1"])
      s.add_runtime_dependency(%q<sensu-extensions>, ["~> 1.9.0"])
      s.add_runtime_dependency(%q<sensu-transport>, ["~> 7.0.2"])
      s.add_runtime_dependency(%q<sensu-spawn>, ["~> 2.2.1"])
      s.add_runtime_dependency(%q<sensu-redis>, ["~> 2.2.0"])
      s.add_runtime_dependency(%q<em-http-server>, ["~> 0.1.8"])
      s.add_runtime_dependency(%q<parse-cron>, ["~> 0.1.4"])
      s.add_development_dependency(%q<rake>, ["~> 10.5.0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.0.0"])
      s.add_development_dependency(%q<em-http-request>, ["~> 1.1"])
      s.add_development_dependency(%q<addressable>, ["~> 2.3.8"])
    else
      s.add_dependency(%q<eventmachine>, ["~> 1.2.5"])
      s.add_dependency(%q<sensu-json>, ["~> 2.1.0"])
      s.add_dependency(%q<sensu-logger>, ["~> 1.2.1"])
      s.add_dependency(%q<sensu-settings>, ["~> 10.9.0"])
      s.add_dependency(%q<sensu-extension>, ["~> 1.5.1"])
      s.add_dependency(%q<sensu-extensions>, ["~> 1.9.0"])
      s.add_dependency(%q<sensu-transport>, ["~> 7.0.2"])
      s.add_dependency(%q<sensu-spawn>, ["~> 2.2.1"])
      s.add_dependency(%q<sensu-redis>, ["~> 2.2.0"])
      s.add_dependency(%q<em-http-server>, ["~> 0.1.8"])
      s.add_dependency(%q<parse-cron>, ["~> 0.1.4"])
      s.add_dependency(%q<rake>, ["~> 10.5.0"])
      s.add_dependency(%q<rspec>, ["~> 3.0.0"])
      s.add_dependency(%q<em-http-request>, ["~> 1.1"])
      s.add_dependency(%q<addressable>, ["~> 2.3.8"])
    end
  else
    s.add_dependency(%q<eventmachine>, ["~> 1.2.5"])
    s.add_dependency(%q<sensu-json>, ["~> 2.1.0"])
    s.add_dependency(%q<sensu-logger>, ["~> 1.2.1"])
    s.add_dependency(%q<sensu-settings>, ["~> 10.9.0"])
    s.add_dependency(%q<sensu-extension>, ["~> 1.5.1"])
    s.add_dependency(%q<sensu-extensions>, ["~> 1.9.0"])
    s.add_dependency(%q<sensu-transport>, ["~> 7.0.2"])
    s.add_dependency(%q<sensu-spawn>, ["~> 2.2.1"])
    s.add_dependency(%q<sensu-redis>, ["~> 2.2.0"])
    s.add_dependency(%q<em-http-server>, ["~> 0.1.8"])
    s.add_dependency(%q<parse-cron>, ["~> 0.1.4"])
    s.add_dependency(%q<rake>, ["~> 10.5.0"])
    s.add_dependency(%q<rspec>, ["~> 3.0.0"])
    s.add_dependency(%q<em-http-request>, ["~> 1.1"])
    s.add_dependency(%q<addressable>, ["~> 2.3.8"])
  end
end

